Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.design
Class JRDesignChartAxis

    java.lang.Object
      net.sf.jasperreports.charts.base.JRBaseChartAxis
          net.sf.jasperreports.charts.design.JRDesignChartAxis

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRChartAxis, JRChangeEventsSupport, JRCloneable

    public class JRDesignChartAxis

extends JRBaseChartAxis
implements JRChangeEventsSupport

`JRChartAxis` implementation to be used for report design.

Version:
  $Id: JRDesignChartAxis.java 3938 2010-08-19 14:59:36Z teodord $
Author:
  Barry Klawans (barry@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected JRDesignChart` | `parentChart` The multiple axis chart that this axis belongs to.
`static java.lang.String` | `PROPERTY_CHART`
`static java.lang.String` | `PROPERTY_POSITION`

Fields inherited from class net.sf.jasperreports.charts.base.JRBaseChartAxis
`chart, positionValue`

Fields inherited from interface net.sf.jasperreports.charts.JRChartAxis
`POSITION_LEFT_OR_TOP, POSITION_RIGHT_OR_BOTTOM`

Constructor Summary
`JRDesignChartAxis(JRDesignChart parentChart)` Construct a new axis that will be added to the specified chart.

Method Summary
`void` | `addElement(JRElement element)` Sets the chart that contains the dataset and plot for this axis.
`JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
`void` | `setChart(JRDesignChart chart)` Set the chart that contains the dataset and plot to use for this axis.
`void` | `setPosition(AxisPositionEnum positionValue)` Sets the position of this axis' value line relative to the multiple axis chart.
`void` | `setPosition(byte position)` Deprecated. Replaced by `setPosition(AxisPositionEnum)`
`void` | `setPosition(java.lang.Byte position)` Deprecated. Replaced by `setPosition(AxisPositionEnum)`

Methods inherited from class net.sf.jasperreports.charts.base.JRBaseChartAxis
`clone, getChart, getPosition, getPositionByte, getPositionValue`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_CHART

    public static final java.lang.String PROPERTY_CHART

See Also:
  Constant Field Values

### PROPERTY_POSITION

    public static final java.lang.String PROPERTY_POSITION

See Also:
  Constant Field Values

### parentChart

    protected JRDesignChart parentChart

  The multiple axis chart that this axis belongs to.

Constructor Detail

### JRDesignChartAxis

    public JRDesignChartAxis(JRDesignChart parentChart)

  Construct a new axis that will be added to the specified chart.

  Parameters:
    `parentChart` - the chart that the axis will be added to

Method Detail

### setPosition

    public void setPosition(byte position)

  Deprecated. Replaced by `setPosition(AxisPositionEnum)`

### setPosition

    public void setPosition(java.lang.Byte position)

  Deprecated. Replaced by `setPosition(AxisPositionEnum)`

### setPosition

    public void setPosition(AxisPositionEnum positionValue)

  Sets the position of this axis' value line relative to the multiple axis chart.

  Parameters:
    `positionValue` - the position of this axis

### setChart

    public void setChart(JRDesignChart chart)

  Set the chart that contains the dataset and plot to use for this axis. The plot is used to figure out how to render the dataset (ie as a line or bar chart) when adding it to the multiple axis chart.

  Parameters:
    `chart` - the chart that contains the dataset and plot for this axis

### addElement

    public void addElement(JRElement element)

  Sets the chart that contains the dataset and plot for this axis. Identical to `setChart(net.sf.jasperreports.engine.design.JRDesignChart)` but is called by the XML digester when parsing the report source.

  Parameters:
    `element` -

### getEventSupport

    public JRPropertyChangeSupport getEventSupport()

  Description copied from interface: `JRChangeEventsSupport`
  Returns the property change support object for this instance.

  Specified by:
    `getEventSupport` in interface `JRChangeEventsSupport`
  Returns:
    the property change support object for this instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com